Subject: Re: bug#6954: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Christoph Scholtes <[email-masked]>
Date: Fri, 15 Jul 2011 16:57:34 -0600

On 7/15/2011 3:30 PM, Lars Magne Ingebrigtsen wrote:

>> $ emacs -Q a_directory_with_images
>> type v on an image
>> type q
>> Now guess what we are looking at?
>> Back to the directory?
>> No.
>> You folks buried it!
>> And the image is also buried, not killed, too!
>
> I don't think anything has actually changed with the bug you reported,
> but yeah, wow.  `q' popped to a totally different buffer than I
> expected.
>
> Is this a part of the switch-to-buffer/window thingie rework?

I can reproduce the described behavior with build from a couple of 
minutes ago.

According to describe-key, the `q' key is bound to quit-window. The `q' 
key should bury the buffer (image). `z' will kill it.

All of this is consistent with image-mode using special-mode map, which 
maps `q' to quit-window and `z' to kill buffer.

Not sure though, why `q' does not switch back to the dired buffer. It 
seems to put the dired buffer second in the buffer list and switch to 
the buffer which is first in the list.

Christoph